$font-size: min(5vh, 10vw);
$border-size: min(0.7vh, 1.4vw);
$bigger-border-size: min(1.4vh, 2.8vw);
$box-size: min(8.5vh, 17vw);

div {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: 120px;
  max-height: 120px;
  width: $box-size;
  height: $box-size;
  border-radius: 10%;
  box-sizing: border-box;
  text-transform: uppercase;

  outline: none;
  cursor: default;
}

p {
  font-size: $font-size;
  color: white;
  font-weight: 600;
  text-transform: uppercase;
}

.back-face {
  transform: rotateY(180deg);
  backface-visibility: hidden;
}

.front-face {
  position: absolute;
  backface-visibility: hidden;
}

.wrapper {
  perspective: 170px;
  position: relative;
  transform-style: preserve-3d;
}

.blocked {
  border: none;
  background-color: #615458;
}

.empty {
  border: $border-size solid #4c4347;
  background-color: #6e5c62;
}

.selected {
  border: $border-size solid #4c4347;
  border-bottom: $bigger-border-size solid #4c4347;
  background-color: #6e5c62;
}

.shake {
  animation: shake 0.8s cubic-bezier(0.36, 0.07, 0.19, 0.97) both;
}

.insert {
  animation: 0.15s ease-out insert;
  animation-fill-mode: forwards;
}

.flipBack {
  animation: 0.45s linear flipBack;
  animation-fill-mode: forwards;
  background-color: var(--colorWrong);
}

.flipFront {
  animation: 0.45s linear flipFront;
  animation-fill-mode: forwards;
}

.place {
  background-color: var(--colorPlace);
}

.right {
  background-color: var(--colorRight);
}

.jump {
  animation: 0.3s ease-in-out jump;
  animation-fill-mode: forwards;
}

@keyframes guessTransition {
  from {
    border-color: #787c7e;
    background-color: #787c7e;
  }
  to {
    border-color: #6aaa64;
    background-color: #6aaa64;
  }
}

@keyframes insert {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.15);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes jump {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(-50px);
  }

  100% {
    transform: translateY(0px);
  }
}

@keyframes flipFront {
  0% {
    transform: rotateY(0deg);
  }

  50% {
    transform: rotateY(90deg);
  }

  100% {
    transform: rotateY(180deg);
  }
}

@keyframes flipBack {
  0% {
    transform: rotateY(-180deg);
  }

  50% {
    transform: rotateY(-90deg);
  }

  100% {
    visibility: visible;
    transform: rotateY(0deg);
  }
}

@keyframes shake {
  10% {
    transform: translateX(-14px);
  }

  20% {
    transform: translateX(14px);
  }

  30% {
    transform: translateX(-10px);
  }

  40% {
    transform: translateX(8px);
  }

  50% {
    transform: translateX(-6px);
  }

  60% {
    transform: translateX(3px);
  }

  70% {
    transform: translateX(-2px);
  }

  80% {
    transform: translateX(1px);
  }

  90% {
    transform: translateX(-1px);
  }
  100% {
    transform: translateX(0px);
  }
}
